org.springframework.cloud.dataflow.rest.resource

## Enum TaskExecutionStatus

- java.lang.Object
- - java.lang.Enum<TaskExecutionStatus>
  - - org.springframework.cloud.dataflow.rest.resource.TaskExecutionStatus

- All Implemented Interfaces:
    Serializable, Comparable<TaskExecutionStatus>

      public enum TaskExecutionStatus
      extends Enum<TaskExecutionStatus>

  Represents the status of an `TaskExecutionResource`.
  Author:
    Gunnar Hillert

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETE` The task execution completed successfully.
    `ERROR` The task execution did not complete successfully.
    `RUNNING` The task execution is still executing.
    `UNKNOWN` The task execution was never executed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskExecutionStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskExecutionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final TaskExecutionStatus ERROR

      The task execution did not complete successfully.

    - #### RUNNING

          public static final TaskExecutionStatus RUNNING

      The task execution is still executing.

    - #### COMPLETE

          public static final TaskExecutionStatus COMPLETE

      The task execution completed successfully.

    - #### UNKNOWN

          public static final TaskExecutionStatus UNKNOWN

      The task execution was never executed.

  - ### Method Detail

    - #### values

          public static TaskExecutionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskExecutionStatus c : TaskExecutionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskExecutionStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.